StreamInputFormat (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming
Class StreamInputFormat

    java.lang.Object
      org.apache.hadoop.mapred.FileInputFormat<Text,Text>
          org.apache.hadoop.mapred.KeyValueTextInputFormat
              org.apache.hadoop.streaming.StreamInputFormat

All Implemented Interfaces:
  InputFormat<Text,Text>, JobConfigurable

    public class StreamInputFormat

extends KeyValueTextInputFormat

An input format that selects a RecordReader based on a JobConf property. This should be used only for non-standard record reader such as StreamXmlRecordReader. For all other standard record readers, the appropriate input format classes should be used.

Field Summary

Fields inherited from class org.apache.hadoop.mapred.FileInputFormat
`LOG`

Constructor Summary
`StreamInputFormat()`

Method Summary
`RecordReader<Text,Text>` | `getRecordReader(InputSplit genericSplit, JobConf job, Reporter reporter)` Get the `RecordReader` for the given `InputSplit`.

Methods inherited from class org.apache.hadoop.mapred.KeyValueTextInputFormat
`configure, isSplitable`

Methods inherited from class org.apache.hadoop.mapred.FileInputFormat
`addInputPath, addInputPaths, computeSplitSize, getBlockIndex, getInputPathFilter, getInputPaths, getSplitHosts, getSplits, listStatus, setInputPathFilter, setInputPaths, setInputPaths, setMinSplitSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamInputFormat

    public StreamInputFormat()

Method Detail

### getRecordReader

    public RecordReader<Text,Text> getRecordReader(InputSplit genericSplit,
                                                   JobConf job,
                                                   Reporter reporter)
                                            throws IOException

  Description copied from interface: `InputFormat`
  Get the `RecordReader` for the given `InputSplit`.

  It is the responsibility of the `RecordReader` to respect record boundaries while processing the logical split to present a record-oriented view to the individual task.

  Specified by:
    `getRecordReader` in interface `InputFormat<Text,Text>`
  Overrides:
    `getRecordReader` in class `KeyValueTextInputFormat`
  Parameters:
    `genericSplit` - the `InputSplit`
    `job` - the job that this split belongs to
  Returns:
    a `RecordReader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation